org.apache.uima.cas.impl

## Class CommonArrayFSImpl

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImpl
  - - org.apache.uima.cas.impl.FeatureStructureImplC
    - - org.apache.uima.cas.impl.CommonArrayFSImpl

- All Implemented Interfaces:
    Cloneable, FeatureStructure
  Direct Known Subclasses:
    ArrayFSImpl, FloatArrayFSImpl, IntArrayFSImpl, StringArrayFSImpl

      public abstract class CommonArrayFSImpl
      extends FeatureStructureImplC

  Common part of array impl for those arrays of primitives which exist in the main heap. Is a super class to those.

- - ### Field Summary

    - ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `addr, casImpl`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CommonArrayFSImpl()`
    `protected` | `CommonArrayFSImpl(CASImpl cas, int addr)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `copyToArray(int srcOffset, String[] dest, int destOffset, int length)`
    `int` | `size()`
    `String[]` | `toStringArray()`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `equals, getAddress, getCAS, getCASImpl, hashCode`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImpl

      `clone, getavoidcollisionTypeCode, getBooleanValue, getByteValue, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonArrayFSImpl

          protected CommonArrayFSImpl()

    - #### CommonArrayFSImpl

          protected CommonArrayFSImpl(CASImpl cas,
                                      int addr)

  - ### Method Detail

    - #### size

          public int size()

    - #### copyToArray

          public abstract void copyToArray(int srcOffset,
                                           String[] dest,
                                           int destOffset,
                                           int length)

    - #### toStringArray

          public String[] toStringArray()

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.